        :root {
            --primary: #e2ca1f;
            --dark: #1e293b;
            --light: #f8fafc;
            --gray: #94a3b8;
            --success: #10b981;
            --danger: #ef4444;
        }
        
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Segoe UI', system-ui, sans-serif;
        }
        li{
            list-style: none;
        }
        a{
            text-decoration: none;
            color: var(--light);
        }
        body {
            background: linear-gradient(135deg, #0f172a, #1e293b);
            color: var(--light);
            min-height: 100vh;
            /* padding: 2rem; */
            line-height: 1.6;
        }
        
        .container {
            max-width: 1200px;
            margin: 0 auto;
        }
        .nav{
            /* width: 100%; */
            padding: 1.2rem 0;
            border-bottom: 1px solid rgba(255, 255, 255, 0.1);
            position: sticky;
            top: 0;
            display: flex;
            align-items: center;
            justify-content: space-between;
            /* background: var(--dark); */
            background: linear-gradient(135deg, #0f172a, #1e293b);
            z-index: 999;
        }
        .logo{
            margin-left: 2rem;
        }
        .logo img{
            height: 40px;
        }
        .nav-links{
            margin-right: 2rem;
            display: flex;
            gap: 2rem;
        }
        .nav-links li{
            cursor: pointer;
            /* transition: all .3s; */
        }
        .nav-links li::after{
            display: block;
            content: "";
            height: 3px;
            width: 0;
            background: var(--primary);
            transition: all .3s;
            border-radius: 10rem;
            /* transform: scaleX(0); */
        }
        .nav-links li:hover::after{
            width: 100%;
            /* transform: scaleX(1); */

        }

        .nav-links li.active::after{
            width: 100%;
            /* transform: scaleX(1); */

        }
        .nav-links li.active{
            font-weight: 600;
            color: var(--primary);
        }
        
        .tab-content,.hamburger{
            display: none;
        }
        .tab-content.active {
            display: block!important;
            animation: fadeIn 0.3s ease;
        }
        
        @keyframes fadeIn {
            from { opacity: 0; }
            to { opacity: 1; }
        }
        .doc{
            max-width: 800px;
            margin: 0 auto;
            display: flex;
            flex-flow: column;
            gap: 1rem;
        }
        .doc h2{
            /* text-align: center; */
            margin: 1rem 0;
        }
        .doc h3{
            font-size: 1.5rem;
            padding: 1rem 0;
        }
        .doc a{
            color: var(--primary);
        }
        .doc img,.doc video{
            max-width: 800px;
            border-radius: 0.5rem;
        }
        .doc video{
            border: 1px solid var(--dark);

        }
        .doc p{
            font-size: 1.2rem;
        }
        .doc li{
            list-style: disc;
        }
        #tab-help .doc>h3{
            padding: 1rem;
            border-radius: 0.5rem;
            background: var(--dark);
            font-size: 1.4rem;
            font-weight: 400;
            display: flex;
            justify-content: space-between;
        }
        .copy-btn {
            background: var(--primary);
            color: var(--light);
            border: none;
            padding: 0.5rem;
            border-radius: 0.4rem;
            cursor: pointer;
            font-size: 1rem;
            transition: all 0.3s ease;
        }
        .copy-btn:hover{
            transform: translateY(-2px);
            background: var(--primary);
            opacity: 0.9;
        }
        .copy-btn.copied {
            background: var(--primary);
            opacity: 0.9;
        }

        .main{
            margin: 2rem 0;
            display: flex;
            justify-content: center;
            align-items: center;
            /* flex-wrap: wrap; */
            gap: 50px;
        }
        .header {
            /* text-align: left; */
            padding: 2rem 0;
            margin-bottom: 2rem;
            width: 100%;
        }

        h1,.doc h2 {
            padding-right: 3rem;
            font-size: 2.5rem;
            margin-bottom: 0.5rem;
            background: linear-gradient(90deg,var(--primary), #8b5cf6 100%);
            -webkit-background-clip: text;
            background-clip: text;
            color: transparent;
        }
        .btn-box{
            display: flex;
            justify-content: start;
            gap: 1rem;
            margin: 1rem 0 2rem;

        }
        .btn {
            color: white;
            border: none;
            /* padding: 1rem; */
            border-radius: 8px;
            font-size: 1.2rem;
            font-weight: 400;
            cursor: pointer;
            transition: background 0.3s, transform 0.2s;
        }
        
        .btn:hover {
            /* background: var(--gray); */
            transform: translateY(-2px);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);

        }
        .b1{
            padding:1rem  4rem;
            background: var(--primary);
            /* color: #000; */
        }
        .b2{
            padding: 1rem 2rem;
            background: rgba(30, 41, 59, 0.7);
            border: 1px solid #40464e;
        }



        .img>img{
            width: 100%;
            border-radius: 1rem;
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);

        }

        
        .subtitle {
            color: var(--gray);
            font-size: 1.2rem;
            text-align: center;
        }
        .p{
            color: var(--gray);
            font-size: 1.2rem;

        }
        /* .card-container {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 2rem;
            margin: 3rem 0;
        } */
        
        .card {
            border-radius: 16px;
            padding: 2rem;
            backdrop-filter: blur(10px);
        }
        

        
        .card h2 {
            color: var(--primary);
            margin-bottom: 1rem;
            font-size: 2rem;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 0.5rem;
        }
        
        .card h2 i {
            font-size: 1.8rem;
        }
        
        .solution-card {
            grid-column: span 3;
            background: rgba(30, 41, 59, 0.7);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
            border: 1px solid rgba(255, 255, 255, 0.1);


        }
        
        .solution-steps {
            margin: 2rem 0;
            display: flex;
            justify-content: space-around;
            align-items: center;
            gap: 3rem;
            flex-wrap: wrap;
        }
        
        .step {
            position: relative;
            display: flex;
            margin-bottom: 1.5rem;
            align-items: center;
            justify-content: center;
            padding: 2rem 1rem;
            border-radius: 1rem;
            background: #0f172a;
            width: 30%;
            flex-flow: column;
            gap: 1rem;
            transition: all 0.3s;
            border: 1px solid var(--dark);
            overflow: hidden;
        }
        .step:hover{
            border: 1px solid var(--primary);
        }
        .step::before{
            position: absolute;
            left: -100%;
            content: "";
            width: 100%;
            height: 100%;
            background: linear-gradient(90deg,transparent,var(--primary),transparent);
            opacity: .2;
            /* transform: translateX(-100%); */
            transition: all 0.5s;
            /* z-index: 99; */
        }
        .step:hover::before{
            /* transform: translateX(100%); */
            left: 100%;
        }
        .step h3{
            font-size: 1.4rem;
        }
        .step-svg {
            background: var(--primary);
            width: 5rem;
            height: 5rem;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .step>p{
            text-align: center;
        }
        .box{
            margin: 6rem 0;
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 3rem;
        }
        .hp h2{
            font-size: 3rem;
        }
        .hp{
            width: 100%;
        }
        .go{
            padding: 3rem;
            /* margin: 2rem 0; */
            border-radius: 1rem;
            background: linear-gradient(90deg, var(--primary) , #8b5cf6);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
            
        }
        .go>h2{
            width: 100%;
            text-align: center;
            font-size: 3rem;
        }
        .go p{
            width: 100%;
            text-align: center;
            padding: 1rem;

        }
        .b3{
            color: #fff;
            padding: 1rem 5rem;
            background: rgba(30, 41, 59, 0.7);
            /* border: 1px solid #40464e; */
            border-radius: 8px;
            font-size: 1.2rem;
            font-weight: 400;
            cursor: pointer;
            transition: all 0.5s;

        }
        .b3:hover{
            background: var(--light);
            color: var(--dark);
        }
        .footer{
            padding: 2rem 0;
        }
        .footer>h3{
            font-size: 1.5rem;
            padding: 1rem 0;
            margin-bottom: 2rem;
            border-bottom: 2px solid rgba(30, 41, 59, 0.7);

        }
        .footer svg{
            width: 42px;
            border-radius: 1rem;
            /* background: #fff; */
            fill:#fff;
        }
        .footer ul{
            display: flex;
            gap: 2rem;
        }
        .footer ul li{
            padding: 1rem 0;
            padding-right: 1rem;
            /* width: calc(100%/3); */
            display: flex;
            justify-content: space-between;
            align-items: center;
            gap: 0.5rem;
        }
        .footer ul li p{
            font-size: 0.9rem;
        }
        .Copyright {
            border-top: 2px solid rgba(30, 41, 59, 0.7);
            text-align: center;
            padding: 2rem 0;
            color: var(--gray);
            font-size: 0.9rem;
        }
        .Copyright a{
            color: var(--light);
        }
        /* 图片查看器 */
/* 页面图片的初始样式 */
.gallery-img {
    /* width: 200px; */
    /* height: auto; */
    cursor: pointer;
    /* margin: 10px; */
    transition: transform 0.2s ease;
}
.gallery-img:hover {
    transform: scale(1.02);
}

/* 遮罩层样式 */
.modal {
    display: none; /* 默认隐藏 */
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.9); /* 黑色半透明背景 */
    backdrop-filter: blur(5px); /* 背景模糊，可选 */
    opacity: 0;
    transition: opacity 0.3s ease;
    align-items: center;
    justify-content: center;
}

/* 放大后的图片样式 */
.modal-content {
    display: block;
    margin: auto;
    max-width: 90%;
    /* margin-top: 5vh; */
    min-width: 60vw;
    max-height: 90vh;
    transform: scale(0.9);
    transition: transform 0.3s ease;
    border: 1px solid var(--dark);
}

/* 关闭按钮 */
.close {
    position: absolute;
    top: 1rem;
    right: 30px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}
.close:hover {
    color: #bbb;
}

#scrollToTopBtn{
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    z-index: 9999;
    bottom: 1rem;
    right: 1rem;
    background-color: var(--primary);
    color: #353434;
    border: none;
    border-radius: 50%;
    width: 3rem;
    height: 3rem;
    text-align: center;
    font-size: 20px;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    transition: all .3s;
}
#scrollToTopBtn>svg{
    width: 1.4rem;
}
        @media (max-width: 980px) {
            .logo{
                margin-left: 1rem;
            }
            .container{
                padding: 0 1rem;
            }
            .main{
                flex-wrap: wrap;
                gap: 1rem;
                padding: 1rem;
            }
            h1,.doc h2{
                padding: 0;
            }
            .header{
                margin: 0;
                /* padding: 0 1rem; */
            }
            /* .btn-box {
                justify-content: space-between;
            } */
            .b1{
                padding: 2vh 12vw;
            }
            .b2{
                padding: 2vh 6vw;
            }
            .card{
                padding: 1rem;
            }
            .solution-steps{
                margin: 0;
                gap: 0;
            }
            .step{
                width: 100%;
                margin: 1.5rem 0;
            }
            .box{
                padding: 3rem 1rem;
                border-radius: 1rem;
                flex-wrap: wrap;
                background: rgba(30, 41, 59, 0.7);
                box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
                border: 1px solid rgba(255, 255, 255, 0.1);
            }
            .go{
                padding: 5rem 2rem;
            }
            .footer{
                padding: 2rem 1rem;
            }
            .footer ul{
                flex-flow: column;
            }
            .footer ul li{
                justify-content: start;
            }
            .modal-content{
                max-width: 100%;
                /* margin-top: 25vh; */
                max-height: 75vh;
            
            }
            .close{
                top: 5vh;
            }
            #scrollToTopBtn{
                bottom: 6rem;
            }
            .hamburger{
                display: flex;
                flex-flow: column;
                gap: 0.5rem;
                margin: 0 2rem;
            }
            .hamburger span{
                /* display: block; */
                width: 2rem;
                height: 3px;
                background: var(--light);
                transition: all .3s;
                border-radius: 1rem;
            }
            .hamburger.active span:nth-child(1){
                transform: rotate(46deg) translate(0.5rem, 0.5rem);
            }
            .hamburger.active span:nth-child(2){
                opacity: 0;
            }
            .hamburger.active span:nth-child(3){
                transform: rotate(-45deg) translate(0.5rem, -0.5rem);
            }
            .nav-links{
                /* display: none; */
                position: absolute;
                top: 5.35rem;
                left: -100%;
                width: 100%;
                height: 100vh;
                background: linear-gradient(135deg, #0f172a, #1e293b);
                opacity: .98;
                flex-flow: column;
                padding: 5rem 2rem;
                align-items: center;
                /* transform: translateX(-100%); */
                transition: all .5s;
                gap: 0.5rem;
            }
            .nav-links.active{
                /* transform: translateX(0); */
                left: 0;
            }
            .nav-links li{
                font-size: 1.5rem;
                padding: 1rem 0;
            }
            .doc{
                padding: 2rem;
                max-width: 400px;
            }
            .doc img{
                max-width: 350px;
            }
            
        }
